[Libwebsockets] Client/Server Version Compatibility and Getting Client IP Behind Reverse Proxy

Luke Weaver lukeweaver at gsteletechinc.mygbiz.com
Mon Apr 29 15:20:05 CEST 2019


Hello,

I have a server and clients with version 2.4.0 communicating with each
other. I upgraded the server to 3.1; do I need to upgrade the clients as
well? The purpose of the upgrade is to receive the clients IP behind a
reverse proxy. I have tried forwarding and reading the IP with
get_peer_addresses but returns local host. I am guessing that it is a
header problem that has been resolved since.

Sincerely,
Luke Weaver
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://libwebsockets.org/pipermail/libwebsockets/attachments/20190429/c348c981/attachment.htm>


More information about the Libwebsockets mailing list